DEV: Return a non-zero exit code when `discourse remap` is aborted (#12873)

DEV: Return a non-zero exit code when discourse remap is aborted (#12873)

This makes it much easier to integrate the script with external tools

diff --git a/script/discourse b/script/discourse
index 52eb344..fce25d8 100755
--- a/script/discourse
+++ b/script/discourse
@@ -43,7 +43,7 @@ class DiscourseCLI < Thor
     text = STDIN.gets
     if text.strip != "YES"
       puts "aborting."
-      exit
+      exit 1
     end
 
     if options[:global]

GitHub sha: 8b87cb07

This commit appears in #12873 which was approved by CvX. It was merged by davidtaylorhq.